Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal.services
Class RegistryShutdownHubImpl

    java.lang.Object
      org.apache.tapestry5.ioc.internal.services.RegistryShutdownHubImpl

All Implemented Interfaces:
  RegistryShutdownHub

    public class RegistryShutdownHubImpl

extends java.lang.Object
implements RegistryShutdownHub

Constructor Summary
`RegistryShutdownHubImpl(org.slf4j.Logger logger)`

Method Summary
`void` | `addRegistryShutdownListener(RegistryShutdownListener listener)` Adds a listener for eventual notification.
`void` | `addRegistryShutdownListener(java.lang.Runnable listener)` Adds a listener for eventual notification when the registry shuts down.
`void` | `addRegistryWillShutdownListener(java.lang.Runnable listener)` Adds a listener for eventual notification.
`void` | `fireRegistryDidShutdown()` Fires the `RegistryShutdownListener.registryDidShutdown()` method on each listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistryShutdownHubImpl

    public RegistryShutdownHubImpl(org.slf4j.Logger logger)

Method Detail

### addRegistryShutdownListener

    public void addRegistryShutdownListener(RegistryShutdownListener listener)

  Description copied from interface: `RegistryShutdownHub`
  Adds a listener for eventual notification.

  Specified by:
    `addRegistryShutdownListener` in interface `RegistryShutdownHub`

### addRegistryShutdownListener

    public void addRegistryShutdownListener(java.lang.Runnable listener)

  Description copied from interface: `RegistryShutdownHub`
  Adds a listener for eventual notification when the registry shuts down. Runtime exceptions thrown by the listener will be logged and ignored.

  Specified by:
    `addRegistryShutdownListener` in interface `RegistryShutdownHub`

### addRegistryWillShutdownListener

    public void addRegistryWillShutdownListener(java.lang.Runnable listener)

  Description copied from interface: `RegistryShutdownHub`
  Adds a listener for eventual notification. RegistryWillShutdownListeners are notified before any standard listeners, and before service proxies and other parts of the Registry are disabled. Runtime exceptions thrown by the listener will be logged and ignored.

  Specified by:
    `addRegistryWillShutdownListener` in interface `RegistryShutdownHub`

### fireRegistryDidShutdown

    public void fireRegistryDidShutdown()

  Fires the `RegistryShutdownListener.registryDidShutdown()` method on each listener. At the end, all the listeners are discarded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.